define eosclient::mount (
  Optional[Hash] $config = undef,
  String         $instance = $name,
  Boolean        $remove   = false,
  Boolean        $eosx     = false,
) {
  if $remove {
    file{"/etc/sysconfig/eos.${instance}":
      ensure => 'absent',
    }
    file{"/etc/eos/fuse.${instance}.conf":
      ensure => 'absent',
    }
  } elsif $eosx  {
    ::eosclient::conf::eosxd{ $instance:
      config => $config,
    }

    # remove any legacy configuration for this instance
    file{"/etc/sysconfig/eos.${instance}":
      ensure => 'absent',
    }
  } else {
    # Drop modern configuration from legacy eos.
    $_legacy = delete($config,'conf')
    file{"/etc/sysconfig/eos.${instance}":
      content => template('eosclient/sysconfig_eos_instance.erb'),
      mode    => '0444',
      owner   => root,
      group   => root,
    }

    file{"/var/log/eos/fuse/fuse.${instance}.log":
      ensure => present,
      mode   => '0600',
      owner  => root,
      group  => root,
    }
    # remove any eosxd configuration for this instance
    file{"/etc/eos/fuse.${instance}.conf":
      ensure => 'absent',
    }
  }
}
